# $Revision: 1.5 $, $Date: 2004/09/19 22:42:31 $
%define		realname		bzip2
Summary:	Extremely powerful file compression utility - Ming32 cross version
Summary(es):	Un compresor de archivos con un nuevo algoritmo
Summary(fr):	Utilitaire de compression de fichier extrmement puissant
Summary(pl):	Kompresor plikw bzip2 - wersja skrona dla Ming32
Summary(pt_BR):	Compactador de arquivo extremamente poderoso
Summary(uk):	 ̦  ڦ   
Summary(ru):	      
Name:		crossmingw32-%{realname}
Version:	1.0.2
Release:	2
License:	BSD-like
Group:		Applications/Archiving
Source0:	ftp://sources.redhat.com/pub/bzip2/v102/%{realname}-%{version}.tar.gz
# Source0-md5:	ee76864958d568677f03db8afad92beb
Patch0:		%{name}.patch
URL:		http://sources.redhat.com/bzip2/
BuildRequires:	crossmingw32-gcc
Requires:	crossmingw32-runtime
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		no_install_post_strip	1

%define		target			i386-mingw32
%define		target_platform 	i386-pc-mingw32
%define		arch			%{_prefix}/%{target}

%define		__cc			%{target}-gcc
%define		__cxx			%{target}-g++

%ifarch alpha sparc sparc64 sparcv9
%define		optflags	-O2
%endif

%description
Bzip2 compresses files using the Burrows-Wheeler block-sorting text
compression algorithm, and Huffman coding. Compression is generally
considerably better than that achieved by more conventional
LZ77/LZ78-based compressors, and approaches the performance of the PPM
family of statistical compressors. The command-line options are
deliberately very similar to those of GNU Gzip, but they are not
identical.

%description -l es
Bzip2 es un programa de compresin/descompresin. Tpicamente el
archivo compactado queda entre 20 la 30 por ciento menor de que se
fuera compactado con gzip. Observa que bzip2 no entiende los archivos
del bzip original, ni los archivos del gzip.

%description -l fr
Bzip2 compresse des fichiers en utilisant l'algorithme de compression
en tri de blocks de texte Burrows-Wheeler, et le codage Huffman. La
compression est considrablement meilleure que celle effectue par les
plus conventionels compresseurs bass sur LZ77/LZ78, et approche la
performance de la famille PPM de compresseurs statistiques.

%description -l pl
Kompresor bzip2 uywa algorytmu Burrows-Wheelera do kompresji danych i
metody Huffmana do ich kodowania. Kompresja pliku czy archiwum tar
jest z reguy lepsza ni w przypadku stosowania klasycznych
kompresorw LZ77/LZ78. Opcje linii polece s bardzo podobne do
polece GNU Gzip ale nie s identyczne.

%description -l pt_BR
Bzip2  um programa de compresso/descompresso. Tipicamente o arquivo
compactado fica 20 a 30 por cento menor do que se fosse compactado com
o gzip.

Note que o bzip2 no entende os arquivos do bzip original, nem os
arquivos do gzip.

%description -l ru
bzip2      
  Burrows-Wheeler   Huffman'.
      
    LZ77/LZ78    ,
     PPM.

%description -l uk
bzip2 դ     
 Burrows-Wheeler   Huffman'. Ӧ, 
 bzip2,     ,  
Φ   ڦ LZ77/LZ78    ϧ, 
 դ Ӧ  Ҧ PPM.

%package dll
Summary:	%{realname} - DLL library for Windows
Summary(pl):	%{realname} - biblioteka DLL dla Windows
Group:		Applications/Emulators

%description dll
%{realname} - DLL library for Windows.

%description dll -l pl
%{realname} - biblioteka DLL dla Windows.

%prep
%setup -q -n %{realname}-%{version}
%patch0 -p1

%build
CC=%{target}-gcc ; export CC
CXX=%{target}-g++ ; export CXX
LD=%{target}-ld ; export LD
AR=%{target}-ar ; export AR
AS=%{target}-as ; export AS
CROSS_COMPILE=1 ; export CROSS_COMPILE
CPPFLAGS="-I%{arch}/include" ; export CPPFLAGS
RANLIB=%{target}-ranlib ; export RANLIB
LDSHARED="%{target}-gcc -shared" ; export LDSHARED
TARGET="%{target}" ; export TARGET

%{__make} \
	CC="%{__cc}" \
	CFLAGS="%{rpmcflags} -Wall \$(BIGFILES)"

rm -f libbz2.a libbz2.dll

$AR cru libbzip2.a blocksort.o huffman.o crctable.o randtable.o compress.o decompress.o bzlib.o
$RANLIB libbzip2.a

%{__cc} --shared libbzip2.a blocksort.o huffman.o crctable.o randtable.o compress.o decompress.o bzlib.o -Wl,--enable-auto-image-base -o bzip2.dll -Wl,--out-implib,libbzip2.dll.a

%if 0%{!?debug:1}
%{target}-strip *.dll
%{target}-strip -g -R.comment -R.note *.a
%endif

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{arch}/{include,lib}
install -d $RPM_BUILD_ROOT%{_datadir}/wine/windows/system

install *.h $RPM_BUILD_ROOT%{arch}/include
install *.a $RPM_BUILD_ROOT%{arch}/lib
install *.dll $RPM_BUILD_ROOT%{_datadir}/wine/windows/system

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%{arch}/include/*
%{arch}/lib/*

%files dll
%defattr(644,root,root,755)
%{_datadir}/wine/windows/system/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: crossmingw32-bzip2.spec,v $
Revision 1.5  2004/09/19 22:42:31  wolf
- rel 2
- unified

Revision 1.4  2004/09/19 22:27:27  wolf
- alphasparc fix

Revision 1.3  2003/12/01 23:09:39  qboosh
- updated to 1.0.2, updated patch, fixed files, don't include PE executables

Revision 1.2  2003/08/29 23:30:32  ankry
- sync summaries / descriptions; some BR fixed

Revision 1.1  2003/08/27 14:32:12  ggodlewski
- 1st rel
